<?php
/*
Plugin Name: Azon Box Deals
Plugin URI: http://wpthemesense.com
Description: Boost your amazon conversion with this powerful plugin
Author: Yoedi
Version: 1.0
Author URI: http://wpthemesense.com

*/
register_activation_hook(__FILE__,'azonboxdeals_install');
function azonboxdeals_install() {add_option('azonboxdeals_slidebox','yes');}
define( 'MYPLUGINNAME_PATH', plugin_dir_path(__FILE__) );
add_action("wp_footer","azonboxdeals_foot");
function azonboxdeals_foot(){
    if (is_single())
include (MYPLUGINNAME_PATH . 'inc.php');
}
?>
<?php 
add_filter( 'the_content', 'azonboxdeals_last' );    
register_deactivation_hook( __FILE__, 'azonboxdeals_slidebox_remove' );
function azonboxdeals_slidebox_remove() {
delete_option('azonboxdeals_slidebox');
}
add_action('admin_menu', 'azonboxdeals_slidebox_create_menu');
function azonboxdeals_slidebox_create_menu() {
add_menu_page('Azon Box Deals Settings', 'Azon BoxDeals', 'administrator',__FILE__,'azonboxdeals_slidebox_settings_page');
add_action( 'admin_init', 'register_azonboxdeals_slidebox_settings' );
}
function register_azonboxdeals_slidebox_settings() {
	//register our settings
register_setting( 'azonboxdeals_slidebox', 'boxdeals_aff' );
register_setting( 'azonboxdeals_slidebox', 'boxdeals_psbn' );
register_setting( 'azonboxdeals_slidebox', 'boxdeals_judulbn' );
register_setting( 'azonboxdeals_slidebox', 'boxdeals_lamabn' );
register_setting( 'azonboxdeals_slidebox', 'boxdeals_warnateksbn' );
register_setting( 'azonboxdeals_slidebox', 'boxdeals_warnalinkbn' );
register_setting( 'azonboxdeals_slidebox', 'boxdeals_latarbn' );
register_setting( 'azonboxdeals_slidebox', 'boxdeals_borderstbn' );
register_setting( 'azonboxdeals_slidebox', 'boxdeals_borderbn' );
register_setting( 'azonboxdeals_slidebox', 'boxdeals_tombolbn' );
}
function azonboxdeals_slidebox_settings_page() {
?>
<style type="text/css" media="all">
  #wrap{width:800px;padding:10px;}
  table.form-table{width:40%;border:1px solid #ddd;margin-bottom:10px;float:left;}
  h3 {width: 39%;padding:10px 0 10px 10px;text-align:left;margin-bottom:0px;color:#fff;margin-top:20px;background:#333;clear:both;}
 .submit {float:left;margin:10px;}
</style>
<div class="wrap">
<h2 style="font-size:25px">Azon Box Deals Settings</h2>
<form method="post" action="options.php">
<?php settings_fields( 'azonboxdeals_slidebox' ); ?>
<table class="form-table">
<h3>General Option</h3>    
    <tr valign="top">
    <th scope="row">Amazon.com Tracking ID</th>
    <td><input type="textarea" name="boxdeals_aff" value="<?php echo get_option('boxdeals_aff'); ?>" /></td>
    </tr>
<table class="form-table">
<h3>Box Notification Option</h3>
  	<?php wp_enqueue_script('my_script', plugins_url( 'jscolor.js' , __FILE__ )); ?>
  <tr valign="top">
  <th scope="row">Box Position</th>
	<td><select id="boxdeals_psbn" name="boxdeals_psbn">
	<option value="top-right"  <?php if (get_option('boxdeals_psbn')=="top-right"){echo "selected";}?>>top-right</option>
	<option value="top-left" <?php if (get_option('boxdeals_psbn')=="top-left"){echo "selected";}?>>top-left</option>
	<option value="bottom-right"  <?php if (get_option('boxdeals_psbn')=="bottom-right"){echo "selected";}?>>bottom-right</option>
	<option value="bottom-left" <?php if (get_option('boxdeals_psbn')=="bottom-left"){echo "selected";}?>>bottom-left</option>
	</select></td></tr>
    <tr valign="top">
    <th scope="row">Title</th>
    <td><input type="textarea" name="boxdeals_judulbn" value="<?php echo get_option('boxdeals_judulbn'); ?>" /></td>
    </tr>
    <tr valign="top">
    <th scope="row">Show after (in seconds)</th>
    <td><input type="textarea" name="boxdeals_lamabn" value="<?php echo get_option('boxdeals_lamabn'); ?>" /></td>
    </tr>
   	<tr valign="top">
    <th scope="row">Title Color</th>
    <td><input name="boxdeals_warnateksbn" id="boxdeals_warnateksbn" class="color" value="<?php echo get_option('boxdeals_warnateksbn'); ?>" />
    </td>
    </tr>
    <tr valign="top">
    <th scope="row">Link Color</th>
    <td><input name="boxdeals_warnalinkbn" id="boxdeals_warnalinkbn" class="color" value="<?php echo get_option('boxdeals_warnalinkbn'); ?>" />
    </td>
    </tr>
    <tr valign="top">
    <th scope="row">Background Color</th>
    <td><input name="boxdeals_latarbn" id="boxdeals_latarbn" class="color" value="<?php echo get_option('boxdeals_latarbn'); ?>" />
    </td>
    </tr>
    <tr valign="top">
    <th scope="row">Border Color</th>
    <td><input name="boxdeals_borderstbn" id="boxdeals_borderstbn" class="color" value="<?php echo get_option('boxdeals_borderstbn'); ?>" />
    </td>
    </tr>
	<tr valign="top">
  <th scope="row">Border Style</th>
	<td><select id="boxdeals_borderbn" name="boxdeals_borderbn">
	<option value="none"  <?php if (get_option('boxdeals_borderbn')=="none"){echo "selected";}?>>none</option>
	<option value="dotted" <?php if (get_option('boxdeals_borderbn')=="dotted"){echo "selected";}?>>dotted</option>
	<option value="dashed"  <?php if (get_option('boxdeals_borderbn')=="dashed"){echo "selected";}?>>dashed</option>
	<option value="solid" <?php if (get_option('boxdeals_borderbn')=="solid"){echo "selected";}?>>solid</option>
	</select></td></tr>
    <tr valign="top">
    <th scope="row">Check price button (135*30 px)</th>
    <td><input type="textarea" name="boxdeals_tombolbn" value="<?php echo get_option('boxdeals_tombolbn'); ?>" /></td>
    </tr>
</table>
  <div style="clear:both"></div>
    <p class="submit">
    <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
    </p>

</form>
</div>
<?php } ?>